## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class LanguageCodeType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.AbstractEnumerationType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.EnumerationType
                      org.eclipse.jst.jsf.taglibprocessing.attributevalues.LanguageCodeType

All Implemented Interfaces:
  IDefaultValue, IPossibleValues, IValidELValues, IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

    public class LanguageCodeType

extends EnumerationType
implements IPossibleValues

Meta-data processing type representing a Language Code type. A Language code is defined as in html spec http://www.w3.org/TR/html4/types.html#h-6.8

Provisional API - subject to change

Field Summary

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IPossibleValues
`POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME, POSSIBLE_VALUES_PROP_NAME, POSSIBLE_VALUES_SMALL_ICON_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IDefaultValue
`DEFAULT_VALUE_PROP_NAME`

Constructor Summary
`LanguageCodeType()`

Method Summary
`java.util.List` `getPossibleValues()`
`boolean` `isValidValue(java.lang.String value)`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.EnumerationType
`getExpectedRuntimeType`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.AbstractEnumerationType
`getDefaultValue, getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### LanguageCodeType

    public LanguageCodeType()

Method Detail

### getPossibleValues

    public java.util.List getPossibleValues()

  Specified by:
    `getPossibleValues` in interface `IPossibleValues`
  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Specified by:
    `isValidValue` in interface `IValidValues`
  Parameters:
    `value` - fully resolved value as String
  Returns:
    true if is valid